rm *.zip *.tar.gz

for i in {1..5}
do
    Rscript -e "library(rmarkdown); library(knitr); render('exercise-$i/exercise-$i.Rmd', output_dir='exercise-$i'); purl('exercise-$i/exercise-$i.Rmd', output='exercise-$i/exercise-$i.R')"
    rm exercise-$i/*.so
    rm exercise-$i/*.o
    rm exercise-$i/*~
    rm exercise-$i/.RData
    rm exercise-$i/.Rhistory
    tar czf exercise-$i.tar.gz exercise-$i
    zip -r exercise-$i.zip exercise-$i
done

rm exercise-collapsed-recover/*.so
rm exercise-collapsed-recover/*.o
rm exercise-collapsed-recover/*~
rm exercise-collapsed-recover/.RData
rm exercise-collapsed-recover/.Rhistory
tar czf exercise-collapsed-recover.tar.gz exercise-collapsed-recover
zip -r exercise-collapsed-recover.zip exercise-collapsed-recover

rm exercise-sparskit/*.so
rm exercise-sparskit/*.o
rm exercise-sparskit/*~
rm exercise-sparskit/.RData
rm exercise-sparskit/.Rhistory
tar czf exercise-sparskit.tar.gz exercise-sparskit
zip -r exercise-sparskit.zip exercise-sparskit
