c.R.matern.omp.safe <- function(D, phi, nu, n.omp.threads=1){
    
    nrow <- nrow(D)
    ncol <- ncol(D)
    
    storage.mode(D) <- "double"
    storage.mode(phi) <- "double"
    storage.mode(nu) <- "double"
    storage.mode(nrow) <- "integer"
    storage.mode(ncol) <- "integer"
    storage.mode(n.omp.threads) <- "integer"
    
    start.time <- proc.time()
    
    R <- .Call("cRMaternOMPSafe", D, nrow, ncol, phi, nu, n.omp.threads)
        
    list("R"=R, sys.time=proc.time()-start.time)
  }


